org.apache.synapse.transport.nhttp

## Interface HttpGetRequestProcessor

- All Known Implementing Classes:
    DefaultHttpGetProcessor

      public interface HttpGetRequestProcessor

  This interface is used for plugging in different implementations for special processing of some HTTP GET requests.

  e.g. ?wsdl, ?wsdl2 etc.

  If you need to handle a special HTTP GET request, you have to write an implementation of this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(org.apache.axis2.context.ConfigurationContext cfgCtx, ServerHandler serverHandler)` Initialize the HttpGetProcessor
    `void` | `process(org.apache.http.HttpRequest request, org.apache.http.HttpResponse response, org.apache.axis2.context.MessageContext msgContext, org.apache.http.nio.NHttpServerConnection conn, java.io.OutputStream os, boolean isRestDispatching)` Process the HTTP GET request.

- - ### Method Detail

    - #### init

          void init(org.apache.axis2.context.ConfigurationContext cfgCtx,
                    ServerHandler serverHandler)
             throws org.apache.axis2.AxisFault

      Initialize the HttpGetProcessor
      Parameters:
        `cfgCtx` - servers configuration context
        `serverHandler` - dispatching handler
      Throws:
        `org.apache.axis2.AxisFault` - if an error occurs

    - #### process

          void process(org.apache.http.HttpRequest request,
                       org.apache.http.HttpResponse response,
                       org.apache.axis2.context.MessageContext msgContext,
                       org.apache.http.nio.NHttpServerConnection conn,
                       java.io.OutputStream os,
                       boolean isRestDispatching)

      Process the HTTP GET request.
      Parameters:
        `request` - The HttpRequest
        `response` - The HttpResponse
        `msgContext` - The MessageContext
        `conn` - The NHttpServerConnection
        `os` - The OutputStream
        `isRestDispatching` - Rest dispatching

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.